html {
  scroll-behavior: smooth;
}

body {
    background: black;
    color: white;
    font-family: 'Raleway';
    margin: 0;
    padding: 0;
}

/* HEADER */
header {
    background: black;
    background-image: url(images/WaveGif.gif);
    background-size: 50%;
    background-position: center;
    height: 200px;
    padding: 20px;
    text-align: center;


}

header a:link{
    color:white;
    text-decoration:none;
}

header a:visited {
    color: white;
}

header .logo a {
    background-image: url("images/Portrait.png");
    background-size: 195px;
    background-repeat: no-repeat;
    display: inline-block;
    height: 200px;
    position: relative;
    text-indent: -9999999px;
    top: 0px;
    width: 200px;
}

header .navoption{
    color: white;
    padding: 0px 120px 0px 120px;
    position: relative;
    top: 100px;
    font-family: 'Raleway';
    font-size: 26px;
    text-transform: uppercase;
    letter-spacing:2px;
}

header ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

header li {
    display: inline-block;
    margin-left: 20px;
    padding: 2px;
}

header li:first-child{
    margin-left: 0;
}

/* HEADER BORDERS */
.navoption a::before,
.navoption a::after{
  content: '';
  position: absolute;
  height: 14px;
  width: 14px;
  transition: 0.4s;
  opacity: 0;
}

.navoption a::before{
  border-right: 5px solid rgba(255, 0, 0, 0.753);;
  border-top: 5px solid rgba(255, 0, 0, 0.753);;
  right: 105px;
  top: -8px;
  transition: 0.4s;
  transform: translate(-100%, 50%);
}

.navoption a::after{
  border-left: 5px solid rgba(255, 0, 0, 0.753);;
  border-bottom: 5px solid rgba(255, 0, 0, 0.753);;
  left: 105px;
  bottom: -8px;
  transition: 0.4s;
  transform: translate(100%, -50%);
}

.navoption a:hover::before,
.navoption a:hover::after{
  opacity: 1;
  transition: 0.4s;
  transform: translate(0%, 0%);
}


/*INTRO */
.myname {
  background: black;
  color:white;
  text-align:center;
  font-size:48px;
  font-weight:900;
  padding: 20px 0px 0px 0px;
  text-transform:uppercase;
  letter-spacing:5px;
}


.introtext {
    background: black;
    color:grey;
    text-align:center;
    font-size:24px;
    padding: 20px 0px 20px 0px;
}

/* GOALS */
.goals {
    background: black;
    display: flex;
    padding: 20px 0px 20px 20px;
}

.goals h1 {
    position:relative;
    top:-30px;
    text-transform: uppercase;
    letter-spacing:2px;
}

blockquote {
    background: black;
    border-left: 10px solid rgba(255, 0, 0, 0.753);
    font-size:28px;
    margin: 1.5em 10px;
    padding: 0.5em 20px 0px 20px;
    quotes: "\201C""\201D""\2018""\2019";
    width: 700px;
    text-align:justify;
  }

blockquote:before {
    color: #ccc;
    content: open-quote;
    font-size: 3em;
    line-height: 0.1em;
    margin-right: 0.25em;
    vertical-align: -0.4em;
  }

blockquote p {
    display: inline;
  }

  blockquote:after {
    color: #ccc;
    content: close-quote;
    font-size: 3em;
    line-height: 0.1em;
    margin-right: 0.25em;
    vertical-align: -0.4em;
  }


  /* CARDS */
  .container {
    position: relative;
    height: 300px;
    width: 750px;
    top: 40px;
    left: -30px;
    display: flex;
  }
  
  .card {
    display: flex;
    height: 280px;
    width: 200px;
    background: rgb(23,20,29);
    background: linear-gradient(to top left, rgba(23,20,29,1) 0%, rgba(60,59,61,1) 80%, rgba(71,71,71,1) 100%);  
    border: 2px solid grey;
    border-radius: 10px;
    box-shadow: gray 0 0 10px;
    /*margin-left: -50px; */
    transition: 0.4s ease-out;
    position: relative;
    left: 0px;
  }
  
  .card:not(:first-child) {
      margin-left: -50px;
  }
  
  .card:hover {
    transform: translateY(-20px);
    transition: 0.4s ease-out;
    cursor: pointer;
  }
  
  .card:hover ~ .card {
    position: relative;
    left: 50px;
    transition: 0.4s ease-out;
  }

  .card h5 {
      opacity: 0;
      text-transform:uppercase;
      transition: 1s;
      position:relative;
      top: -10px;
      left: 100px;
      text-shadow: 0 0 5px #FFF, 0 0 10px #FFF, 0 0 15px #FFF, 0 0 20px #49ff18, 0 0 30px #49FF18, 0 0 40px #49FF18, 0 0 55px #49FF18, 0 0 75px #49ff18;
  }

  .card h3 {
    font-weight:bold;
  }

  .card:hover h5{
      opacity:1
  }

  
  .title {
    color: white;
    font-weight: 300;
    position: absolute;
    left: 20px;
    top: 15px;
  }

  .subtitle {
    color: white;
    font-weight: 300;
    position: absolute;
    left: 20px;
    top: 40px;
  }
  
  /* CARD SKILL BAR */
  .bar {
    position: absolute;
    top: 100px;
    left: 20px;
    height: 5px;
    width: 150px;
  }
  
  .emptybar {
    background-color: #595a5a;
    width: 100%;
    height: 100%;
  }
  
  .filledbar {
    position: absolute;
    top: 0px;
    z-index: 3;
    width: 0px;
    height: 100%;
    background: rgb(0,154,217);
    background: linear-gradient(90deg, rgb(0, 183, 255) 0%, rgb(0, 138, 192) 50%, rgb(0, 57, 80) 100%);
    transition: 0.6s ease-out;
  }
  
  .card:hover .tableau {
    width: 130px;
    transition: 0.4s ease-out;
  }

  .card:hover .PowerBI {
    width: 100px;
    transition: 0.4s ease-out;
  }

  .card:hover .TSQL {
    width: 100px;
    transition: 0.4s ease-out;
  }

  .card:hover .Excel {
    width: 100px;
    transition: 0.4s ease-out;
  }

  .card:hover .Python {
    width: 70px;
    transition: 0.4s ease-out;
  }

  .card:hover .R {
    width: 70px;
    transition: 0.4s ease-out;
  }
  
  .skill-level {
    position: relative; 
    top: -183px; 
    font-weight: bolder; 
    font-size: small;
    opacity: 0;
    transition: 0.4s ease-out;
  }

  .card:hover .skill-level{
    opacity:1;
    transition-delay: 0.6s;
    transition-duration: 1s;
  }
  
  /* CARD CIRCLE */
  .circle {
    position: absolute;
    top: -40px;
    left: calc(87% - 60px);
    fill: none;
    scale: 40%;
  }
  
  .stroke {
    stroke: white;
    stroke-dasharray: 360;
    stroke-dashoffset: 360;
    transition: 0.6s ease-out;
  }
  
  svg {
    fill: #17141d;
    stroke-width: 2px;
  }
  
  .card:hover .stroke {
    stroke-dashoffset: 0;
    transition: 1.0s ease-out;
  }

  .flipprompt{
    opacity:0;
    transition: 0.2s ease-out;
  }

  .card:hover .flipprompt{
    transition-delay:1.5s;
    transition-duration:1s;
    opacity:1
  }

  /* CARD FLIP */
  .content {
    position: absolute;
    width: 100%;
    height: 100%;
    transition: transform 1s;
    transform-style: preserve-3d;
    backface-visibility: hidden;
  }

  .card:active {
    transition: transform 1.0s;
    transform: rotateY( 360deg ) ;
  }
  
  .card:active .content {
    transform: rotateY( 180deg );
    transition: transform 1.0s;
  }

  .front,
  .back {
    backface-visibility: hidden;
  }
  
  .back {
    color: white;
    transform: rotateY( 180deg );
    position: fixed;
    top: 20px;
    left: -5px;
    width: 180px;
  }

  /* ABOUT ME */
.QnA{
  display: flex;
}

.leftQnA{
  margin: 0px 100px 0px 20px;
  flex: 0 0 45%;
}

.rightQnA{
  margin: 0px 20px 0px 0px;
  flex: 1;
}

.QnA h1{
  font-style:italic;
  font-weight:lighter;
  color:lightgrey;
}

.QnA p{
  text-align:justify;
}

.QnA a:link{
  color:lightblue;
  text-decoration:none;
}

.QnA a:visited{
  color: lightblue;
}

.QnA a:hover{
  text-decoration:underline;
}

/* FOOTER */
#page-container {
  position: relative;
  min-height: 100vh;
}

footer {
  background: rgb(36, 36, 36);
  color: grey;
  font-size:12px;
  text-align: center;
  position: absolute;
  bottom: 0;
  width: 100%;
  
}

footer ul{
  list-style: none;
  padding-left: 0;
}

.ft-social-list {
  display: flex;
  justify-content: center;
  border-top: 1px #777 solid; 
  padding-top: 1.25rem;
  margin-top: 0px;
}
.ft-social-list li {
  margin: 0.5rem;
  font-size: 1.25rem;
  opacity: 0.7;
}

.ft-social-list li:hover{
opacity: 1;
}

/*CONTACT */
.contact-title{
  margin-top: 100px;
  color: grey;
  transition: all 4s ease-in-out;
}

.contact-title h1{
  text-align: center;
  font-size: 20px;
}

form{
  text-align: center;
  margin-top: 50px;
  transition: all 4s ease-in-out;
}

.form-control{
  width: 600px;
  background: transparent;
  border: none;
  outline: none;
  border-bottom: 1px solid gray;
  color: #fff;
  font-size: 18px;
  margin-bottom: 16px;
}

input{
  height: 43px;
  font-family: 'Raleway';
}

form .submit{
  background: rgba(255, 0, 0, 0.753);
  border-color: transparent;
  color: #fff;
  font-size: 20px;
  font-weight: bold;
  letter-spacing: 2px;
  height: 50px;
  margin-top: 20px;
}

form .submit:hover{
  background-color: #f44336;
  cursor: pointer;
}

textarea{
  resize: none;
  font-family: 'Raleway';
}


/* PORTFOLIO */
.option{
  cursor:pointer;
  background: linear-gradient(-58deg, #fff 50%,rgba(255, 0, 0, 0.753) 50%);
  background-clip:text;
  -webkit-background-clip:text;
  -webkit-text-fill-color:transparent;
  position:relative;

}

.option:after{
  content:"";
  position:absolute;
  top:0;
  bottom:0;
  left:0;
  right:0;
  z-index:-1;
}

.option,option:after{
  background-size:300%;
  background-position:100%;
  transition:1s;
}

.option:hover,.option:hover:after{
  background-position:0;
}

.myportfolio-selection li{
  display:inline-block;
}

.option{
  border-bottom:solid 2px;
  border-color:rgba(255, 0, 0, 0.753);
  font-size:32px;
  margin: 0px 50px 0px 0px;
  text-transform:uppercase;
}

.slash{
  font-size:60px;
  margin: 0px 10px 0px 0px;
  border:none;
  position:relative;
  top:10px;
}

.myportfolio-selection a:link{
  color:white;
  text-decoration:none;
}

.myportfolio-selection a:visited{
  color:white;
}


.myportfolio-sectiontitle h1{
  color:grey;
  font-size:48px;
  margin: 40px 0px 0px 40px;
  padding:0;
  text-transform:uppercase;
  letter-spacing:5px;
}

.myportfolio-item{
  display: flex;
}

.myportfolio-text.left{
  margin: 0px 60px 0px 40px;
}

.myportfolio-text.right{
  margin: 0px 40px 0px -20px;
}

.myportfolio-text h1{
  font-size:36px;
  letter-spacing:3px;
  text-transform:uppercase;
  font-weight:bolder;
  text-decoration:underline;
  text-decoration-thickness: 5px;
  text-underline-offset: 15px;
  text-decoration-color: rgba(255, 0, 0, 0.753);
}

.myportfolio-text p{
  font-size:20px;
  text-align:justify;
}

.myportfolio-text a:link{
  color:lightblue;
  text-decoration:none;
}

.myportfolio-text a:visited{
  color:lightblue
}

.myportfolio-text a:hover{
  text-decoration:underline;
}

.myportfolio-item img{
  border-radius: 10px;
  border: 2px solid grey;
  border-radius: 10px;
  box-shadow: gray 0 0 10px;
}

.btn {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  background-color: #555;
  color: white;
  font-size: 16px;
  padding: 12px 24px;
  border: none;
  cursor: pointer;
  border-radius: 5px;
}

.myportfolio-item h2{
  color:white;
  background: rgba(43, 42, 42, 0.61);
  text-align:left;
  margin:0;
  position: relative; 
   width: 11%; 
   top:-490px;
   left:790px;
}

.myportfolio-item .playbutton{
  position: relative;
  margin:0;
  height:30px;
  width:30px;
  top:-520px;
  left:865px;
  opacity:0.7;
  z-index:1;
}

.myportfolio-item .playbutton-right{
  position: relative;
  margin:0;
  height:30px;
  width:30px;
  opacity:0.7;
  z-index:1;
  top:54px;
  left:865px;
}

.thesis-library{
  display:flex;
}

.myportfolio-thesis{
  opacity:0.5;
  z-index:-1;
}

.myportfolio-thesis h2{
  position:relative;
  width:500px;
  top: -455px;
  left:0px;
  font-size:32px;
  z-index:0;
  padding:40px 16px 40px 16px;
  text-transform:uppercase;
  text-align:center;
}

.myportfolio-thesis a:hover{
  text-decoration: none;
}

.myportfolio-thesis h3{
  color:white;
  position:relative;
  width:500px;
  top: -500px;
  left:0px;
  font-size:18px;
  z-index:0;
  padding:0px 16px 0px 16px;
  text-transform:uppercase;
  text-align:center;
}